/* 
    Document   : styles
    Created on : 16/12/2013, 8:39:48 AM
    Author     : Craig
    Description:
        Purpose of the stylesheet follows.
*/
@font-face {
  font-family: 'helvStd';
  src: url('../fonts/helveticaneueltstd-roman-webfont.eot?v=0.2.5');
  src: url('../fonts/helveticaneueltstd-roman-webfont.eot?v=0.2.5?#iefix') format('embedded-opentype'),
    url('../fonts/helveticaneueltstd-roman-webfont.woff?v=0.2.5') format('woff'),
    url('../fonts/helveticaneueltstd-roman-webfont.ttf?v=0.2.5') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'helvLght';
  src: url('../fonts/helveticaneueltstd-lt-webfont.eot?v=0.2.5');
  src: url('../fonts/helveticaneueltstd-lt-webfont.eot?v=0.2.5?#iefix') format('embedded-opentype'),
    url('../fonts/helveticaneueltstd-lt-webfont.woff?v=0.2.5') format('woff'),
    url('../fonts/helveticaneueltstd-lt-webfont.ttf?v=0.2.5') format('truetype');
  font-weight: normal;
  font-style: normal;
}

root { 
    display: block;
}

* {
    margin: 0;
    padding: 0;
    font-family: arial, sans-serif;
    box-sizing: border-box;
    font-family: "helvLght", helvetica, arial, sans-serif;
    -moz-box-sizing: border-box;
}

a {
    text-decoration: none;
    color: #222;
}
a:hover {
    text-decoration: underline;
    color: #1e599f;
}

li {
    list-style-image: url(../images/bullet-2.png);
    margin-left: 20px;
    padding: 3px 5px;
}

body {
}

.body-section {
}

#header-section {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 100;
    background: #FFF;
    border-bottom: 1px solid #CCC;
}
#header-section h1 {
    padding: .4em 1em;
}

#header-section .som-title, #header-section .app-title {
    font-size: 1.2em;
    font-family: "helvStd";
    margin: 0;
}

#header-section .som-title, #header-section .app-title a {
    text-decoration: none;
}

#loading {
    display: none;
    position: fixed;
    top: 4em;
    padding: 1em 1em 1em 4em;
    background: #F0F0F0 url("../images/loader.gif") 1em center no-repeat;
    background-size: 1.6em;
    color: #666;
    border: 1px solid #DDD;
    z-index: 1000000;
}
#loading-background {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0.6;
    background: #FFF;
}
#loading .type-abbrev {
    display: none;
}

#navigation {
    position: fixed;
    top: 0;
    right: 10px;
    z-index: 101;
}
#navigation li {
    display: inline-block;
    padding: 0;
    margin: 0;
}
#navigation li a {
    font-size: 1em;
    padding: .5em;
    display: inline-block;
    text-decoration: none;
    color: #666;
}
#navigation li a:hover {
    color: #333;
}



#search-terms {
    font-size: 1em;
    margin: 1em;
}
#search-terms span {
    font-style: italic;
}

span.hilite {background: yellow;}


#main-content {
    padding: 3em 1em 4em;
}

h1, h2, h3, h4, h5 {
    font-family: "helvLght";
}
h1 { font-size: 1.4em; }
h2 { font-size: 1.2em; }
h3 { font-size: 1.1em; }
h4 { font-size: 1.0em; font-style: italic; }

#main-content h1.pageHeading {
    margin-bottom: 1em;
}

#index-page .page-section {
    margin-top: 1em;
}

.data-title {
    margin-bottom: 1em;
}
.data-title p {
    margin: 0;
}
.data-title p.title {
    font-size: 1.4em;
    font-weight: bold;
}
.data-title p.type_title {
    font-style: italic;
    color: #888;
}
.data-type {
    font-style: italic;
}

#data-container {
    /*display: inline-block;*/
}

#data-container h1 {
    font-size: 1em;
    margin-bottom: .5em;
}

#data-container h3 {
    font-size: .9em;
}
.data-container h4 {
    margin-top: 1em;
    padding-left: 15px;
    font-weight: bold;
    font-size: 1.6em;
}
.data-container h4:not(:first-of-type) {
    padding-top: 1em;
    border-top: 1px solid #ddd;
}

.internal-links {
    display: inline-block;
}
.internal-links li {
    display: inline-block;
    border: 1px solid #EEE;
    color: #999;
}
.internal-links li:hover {
    border: 1px solid #999;
    color: #444;
    cursor: pointer;
}
.internal-links li.selected {
    border: 1px solid #999;
    color: #333;
}


#data-container > li {
    display: none;
    margin: 0;
    list-style-type: none;
    list-style-image: none;
}
#data-container > li:last-child {
    display: block;
}

.attachment-set {
    margin: .5em 1em;
}
.grouped-item >  li,
.index-option > section > ul > li {
    font-size: .9em;
    padding: .5em 1em;
    border: 1px solid #FFF;
    border-radius: 8px;
    margin: 0.5em;
    list-style-image: none;
    list-style-type: none;
    cursor: pointer; 
    display: inline-block;
}
#index-page .page-section .grouped-item.quick-links  > li {
    font-size: 1.3em;
}
.grouped-item > li:hover,
#data-container .index-option > section > ul > li:hover {
    background-color: #FAFAFA;
    border-color: #CCC;
    box-shadow: 2px 2px 3px #888;
}
.grouped-item > li:hover a {
    color: #000;
    border-color: #999;
    text-decoration: none;
}
#data-container .index-option .week-list li,
.sub-data .text-data {
    display: inline-block;
}
#data-container .index-option .week-list li .semester-text,
.activity-details .semester-text {
    display: none;
}

#data-container .index-option {
    padding: .5em;
}

.data-set {
    margin: 0 0 1em;
}
.data-set:first-child {
    margin-top: 0em;
}
.data-set h2 {
}
.data-set .data-set-small {
    padding: .5em;
}
.data-set .data-set-small h3 {
    margin: 0;
    display: inline-block;
    padding-right: 1em;
    width: 8em;
    font-weight: bold;
    text-align: right;
}
.data-set .data-set-small .text-data {
    display: inline-block;
    padding-left: 1em;
}
.index-container {
    margin-top: 1em;
}
.index-container h1 {
    display: none;
}

.sub-data {
    font-size: .8em;
}

.sub-data li {
    list-style-image: none;
    list-style-type: none;
    display: inline-block;
    margin: 0;
    padding-top: .5em;
}
.sub-data li:not(:first-child) {
    margin-left: 1em;
}

#blocks-selection {
}
#topic-selection .grouped-item > li,
#discipline-selection .grouped-item > li {
    display: block;
    border:0;
    border-top: 1px solid #FFF;
    border-bottom: 1px solid #FFF;
    box-shadow: 0;
    margin: 0 0.5em;
    border-radius: 0;
}
#topic-selection .grouped-item > li:nth-child(even),
#discipline-selection .grouped-item > li:nth-child(even) {
    background: #FEFEFE;
    border-color: #FEFEFE;
}
#topic-selection .grouped-item > li .sub-data,
#discipline-selection .grouped-item > li .sub-data {
    float: right;
    margin-top: -.4em;
}
#topic-selection .grouped-item > li:hover ,
#discipline-selection .grouped-item > li:hover {
    background-color: #FCFCFC;
    border-color: #EEE;
    box-shadow: none;
}
#topic-selection .grouped-item > li:hover a,
#discipline-selection .grouped-item > li:hover a {
    color: #000;
    /*border-color: #999;*/
    text-decoration: none;
}
.topic-filter-container,
.discipline-filter-container {
    margin: 1em;
    width: 27em;
    font-size: 1.2em;
    display: inline-block;
}
#topic-filter,
#discipline-filter {
    padding: .2em .4em;
    font-size: 1em;
    width: 25em;
    display: inline-block;
}

#topic-selection .sub-data,
#discipline-filter .sub-data {
    font-size: .9em;
    width: 16em;
}

#topic-selection .sub-data li,
#discipline-filter .sub-data li {
    list-style-image: none;
    list-style-type: none;
    display: inline-block;
    margin: 0;
    padding-top: .5em;
    width: 7.5em;
}
#topic-selection .sub-data li:not(:first-child),
#discipline-filter .sub-data li:not(:first-child) {
    margin-left: 1em;
}


input:focus,
select:focus,
textarea:focus,
button:focus {
    outline: none;
}
#semester-selection {
}
#semester-selection section {
}

#topic-filter-clear {
    margin-top: .2em;
}

.week-activity {
    padding: 1em 0;
    border-bottom: 1px dashed #EEE;
}
.week-activity:last-of-type {
    border-bottom: 0;
}
.week-activity .activity-details > div {
    display: inline-block;
    margin: 0.5em 1em 0;
}
.week-activity .activity-details div.activity-title {
    /*font-weight: bold;*/
    font-size: 1em;
    margin: 0;
    margin-right: 3em;
}
.week-activity .activity-details > div:not(.activity-title) {
    font-size: .75em;
    font-style: italic;
    
}
.week-activity .activity-details div.activity-type {
}
.week-activity .activity-details div.activity-type::before {
}
.week-activity .activity-details div.activity-type::after {
}
.week-activity .activity-outcomes,
#activity-outcomes li {
    font-size: .9em;
    padding-top: .5em;
}
.week-activity .activity-outcomes li,
#activity-outcomes li {
}
.week-activity .activity-outcomes li .downplay a {
    color: #999;
    font-style: italic;
}
.week-activity .activity-outcomes li .highlight  {
    
}

.page-option-set {
    float: right;
}

.page-option-set li {
    list-style-type: none;
    list-style-image: none;
    font-size: .8em;    
    border: 1px solid #999;
    color: #666;
    margin: 1em .5em;
    padding: .2em 1em;
    cursor: pointer;
}

.page-option-set li:hover {
    border-color: #666;
    color: #333;
}


#activity-staff div,
.activity-staff div {
    display: inline-block;
}
#activity-staff div.text-data:not(:first-of-type) {
    padding-left: 0;
}

.session-details {
    margin: 1em 0;
    display: none;
}

.session-details li {
    font-size: 1em;
    list-style-type: none;
    margin: .5em 3em .5em 0;
    padding: 0;
    display: inline-block;
}
.session-details li span {
    display: inline-block;
    font-size: .8em;
    margin-right: .5em;
}

.text-clear {
    display: none;
    position: absolute;
    height: 1.5em;
    width: 1.8em;
    background-image: url(../images/icons/15.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 50%;
    cursor: pointer;
    margin-top: .2em;
}

/* Miscellaneous Styles */
#student-name {
    position: fixed;
    top: 0.6em;
    left: 35%;
    font-size: 0.9em;
    font-style: italic;
    z-index: 1001;
    color: #999;
    background: #FFF;
}

#back-to-top {
    display: none;
    position: fixed;
    right: .5em;
    bottom: 5em;
    width: 40px;
    height: 40px;
    opacity: .5;
    background: #FFF url("../images/backgrounds/back-to-top.png") center center no-repeat;
    background-size: 20px;
    border-radius: 20px;
    cursor: pointer;
    box-shadow: 2px 2px 3px #888;
    border: 1px solid #CCC;
}

.faux-link {
    cursor: pointer;
}

.no-data { 
    font-style: italic;
    color: #666;
}

p.no-data {
    margin-left: 1em;
    padding: .5em 1em;
}

#logo {
    background: url("../images/WesternSydney-logo-4.png") center center no-repeat;
    width: 239px;
    height: 37px;
    display: none;
}

#logo, #logo-container {
    position: fixed;
    bottom: 1em;
    right: 1em;
    opacity: .2;
}

#logo-container {
    float: right;
    margin: 0;
    height: 50px;
}

#logo-container img {
    float: left;
}
#logo-container img#wsu-logo {
    padding: 8px;
    height: 50px;
}
#logo-container img#csu-logo {
    padding: 5px 10px 0 15px;
    height: 44px;
}

*[url] {
    cursor: pointer;
}
*[url]:hover {
    color: #991936;
}

.page-view-options {
    position: fixed;
    top: 3em;
    right: 0;
    border: 1px solid #CCC;
    border-right: 0;
    font-size: .9em;
    background: #FFF;
}

.page-view-options > div,
.page-view-options ul {
    display: inline-block;
}
.page-view-options > div {
    padding: 0;
    padding-left: 15px;
    font-weight: bold;
    color: #666;
    font-size: .9em;
}
.page-view-options > div:last-of-type {
    margin-right: 0;
    padding-right: 15px;
}
.page-view-options ul {
    margin: 0;
}

.page-view-options li {
    list-style-image: none;
    list-style-type: none;
    display: inline-block;
    margin: 0;
    padding: .5em 1em;
    padding-right: 0;
    cursor: pointer;
    font-weight: normal;
    color: #333;
}

.page-view-options li:hover {
    color: #000;
}

div.text {
    display: inline-block;
}

@media only screen 
and (max-device-width : 1024px) {
    .week-activity .activity-outcomes li, #activity-outcomes li {
        font-size: 0.7em;
    }
}
@media only screen 
and (max-device-width : 768px) {
    #data-panel-container {
        width: 100%;
        height: 0;
    }
    
    #internal-nav {
        top: 3em;
    }
    #internal-nav li:hover {
        background-color: transparent;
    }
    
    #data-panel-smaller, #data-panel-larger {
        display: inline-block;
    }
    .data-container table {
        width: 100%;
    }
    
    .index-container {
        padding-top: 1.5em;
    }
    
    #search-form-container,
    #search-form-container.has-results {
        position: relative;
        width: 100%;
    }
    #search-form-container .form-set,
    #search-form-container .form-set-buttons,
    #search-form-container.has-results .form-set,
    #search-form-container.has-results .form-set-buttons {
        display: inline-block;
        width: calc(50% - 2em);
    }
    #search-form-container .form-set-buttons {
        text-align: right;
    }
    #search-results-container {
        margin: 0;
    }
}

.site-down-message {
    position: fixed;
    top: calc(50% - 100px);
    width: 500px;
    left: calc(50% - 250px);
    z-index: 102;
    padding: 1em 2em;
    border: 1px solid #CCC;
    border-radius: 8px;
    box-shadow: 2px 2px 3px #888;
}
.site-down-message h1 {
    font-size: 1.6em;
    margin: 0;
}
.site-down-message p {
    padding-top: 1em;
    font-size: 1.4em;
}
#timer-value {
    font-weight: bold;
}
